Package org.eclipse.net4j.util.io

# Class IOUtil.FileCollector

java.lang.Object
org.eclipse.net4j.util.io.IOUtil.FileCollector

All Implemented Interfaces:
  `IOVisitor`

Enclosing class:
  `IOUtil`

public static class IOUtil.FileCollector extends Object implements IOVisitor

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FileCollector()`

## Method Summary

Modifier and Type
Method
Description
`List<File>`
`getFiles()`
`boolean`
`visit(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileCollector

public FileCollector()

## Method Details

### getFiles

public List<File> getFiles()

### visit

public boolean visit(File file) throws IOException

Specified by:
  `visit` in interface `IOVisitor`
Throws:
  `IOException`